%global         pkgname django-fas

# share doc between python2 and python3
%global _docdir_fmt %{name}

Name:           python-%{pkgname}
Version:        1.0.3
Release:        8%{?dist}
Summary:        Django auth backend for FAS (Fedora Accounts System)
Group:          Development/Libraries
License:        BSD
URL:            https://github.com/misli/%{pkgname}/
Source0:        https://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
This is Django auth backend for FAS (Fedora Accounts System).


%package -n python2-%{pkgname}
Summary:        Django auth backend for FAS (Fedora Accounts System)
Group:          Development/Libraries
Requires:       python2-django
# python-openid does not provide python2-openid yet
# (https://bugzilla.redhat.com/show_bug.cgi?id=1313239)
#Requires:       python2-openid
Requires:       python-openid
Provides:       %{pkgname} = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{name} < 1.0.3-4

%description -n python2-%{pkgname}
This is Django auth backend for FAS (Fedora Accounts System).


%package -n python3-%{pkgname}
Summary:        Django auth backend for FAS (Fedora Accounts System)
Group:          Development/Libraries
Requires:       python3-django
Requires:       python3-openid
Provides:       %{pkgname} = %{version}-%{release}

%description -n python3-%{pkgname}
This is Django auth backend for FAS (Fedora Accounts System).


%prep
%autosetup -n %{pkgname}-%{version}


%build
%{py2_build}
%{py3_build}


%install
%{py2_install}
%{py3_install}


%files -n python2-%{pkgname}
%doc LICENSE README.md
%dir %{python2_sitelib}/fas
%{python2_sitelib}/fas/*.py*
%{python2_sitelib}/django_fas-%{version}-py2.*.egg-info


%files -n python3-%{pkgname}
%doc LICENSE README.md
%dir %{python3_sitelib}/fas
%{python3_sitelib}/fas/*.py
%dir %{python3_sitelib}/fas/__pycache__
%{python3_sitelib}/fas/__pycache__/*.py*
%{python3_sitelib}/django_fas-%{version}-py3.*.egg-info


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.3-7
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Mar  8 2016 Jakub Dorňák <jdornak@redhat.com> - 1.0.3-5
- temporarily require python-openid instead of python2-openid
  (bug https://bugzilla.redhat.com/show_bug.cgi?id=1313239)

* Wed Mar  2 2016 Jakub Dorňák <jdornak@redhat.com> - 1.0.3-4
- add python2- subpackage

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jul  2 2015 Jakub Dorňák <jdornak@redhat.com> - 1.0.3-1
- Update to version 1.0.3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May  4 2015 Jakub Dorňák <jdornak@redhat.com> - 1.0.2-1
- Initial package
